IF  EXISTS (SELECT * FROM sys.triggers WHERE object_id = OBJECT_ID(N'[dbo].[TRG_EST_NFE_SOLICIT_APROP_CRED_PRESUMIDO_PEND ]'))
	DROP TRIGGER [dbo].[TRG_EST_NFE_SOLICIT_APROP_CRED_PRESUMIDO_PEND ]
GO

CREATE TRIGGER [dbo].[TRG_EST_NFE_SOLICIT_APROP_CRED_PRESUMIDO_PEND ] ON [dbo].[EST_NFE_SOLICIT_APROP_CRED_PRESUMIDO] FOR INSERT AS

--Pendência de emissao de carta de correcao
INSERT INTO EST_NFE_SOLICIT_APROP_CRED_PRESUMIDO_PEND (CD_CTR_SOLICIT_APROP_CRED_PRESUMIDO    , DT_CAD, PEND_SOLUC)
	SELECT 
		t.CD_CTR_SOLICIT_APROP_CRED_PRESUMIDO    , 
		GETDATE(),
		0
    FROM 
    	INSERTED t 
	WHERE 				
		NOT EXISTS (SELECT 
						pend.CD_CTR_SOLICIT_APROP_CRED_PRESUMIDO     
					FROM 
						EST_NFE_SOLICIT_APROP_CRED_PRESUMIDO_PEND pend
					WHERE 
						t.CD_CTR_SOLICIT_APROP_CRED_PRESUMIDO     = pend.CD_CTR_SOLICIT_APROP_CRED_PRESUMIDO    );



